## ocaml-cstruct 6.1.1

=== Makefile ===
.PHONY: all clean fuzz build-fuzz

all:
	dune build

clean:
	dune clean

test:
	dune runtest

doc:
	dune build @doc

build-fuzz:
	dune build fuzz/fuzz.exe

fuzz: build-fuzz
	mkdir -p _build/in
	echo > _build/in/empty
	afl-fuzz -i _build/in -o _build/out -- _build/default/fuzz/fuzz.exe @@

## ocaml-cstruct 6.0.0

=== debian/changelog ===
ocaml-cstruct (6.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.1

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Dec 2020 11:04:42 +0100

ocaml-cstruct (5.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #969043)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Sep 2020 09:38:34 +0200

=== debian/control ===
Source: ocaml-cstruct
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune (>= 2.7),
 libbigarray-compat-ocaml-dev,
 libsexplib-ocaml-dev,
 liblwt-ocaml-dev,
 libppxlib-ocaml-dev (>= 0.15.0),
 libounit-ocaml-dev,
 dh-ocaml
Standards-Version: 4.5.1
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/mirage/ocaml-cstruct
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-cstruct
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cstruct.git

Package: libcstruct-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: access C-like structures directly from OCaml (dev)
 Cstruct is a library and syntax extension to make it easier to access
 C-like structures directly from OCaml. It supports both reading and
 writing to these structures, and they are accessed via the Bigarray
 module.
 .
 This package contains the development stuff needed to use the
 cstruct library in your programs.

Package: libcstruct-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: access C-like structures directly from OCaml (runtime)
 Cstruct is a library and syntax extension to make it easier to access
 C-like structures directly from OCaml. It supports both reading and
 writing to these structures, and they are accessed via the Bigarray
 module.
 .
 This package contains the runtime libraries for programs using
 cstruct.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p cstruct,cstruct-unix,cstruct-lwt,cstruct-sexp,ppx_cstruct

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) cstruct cstruct-unix cstruct-lwt cstruct-sexp ppx_cstruct
	rm -f $(DESTDIR)/usr/doc/*/LICENSE.md
	for u in cstruct-unix cstruct-lwt cstruct-sexp ppx_cstruct; do \
	  rm -rf $(DESTDIR)/usr/doc/$$u; \
	done

override_dh_auto_test:
# Needs alcotest

=== debian/watch ===
version=3
https://github.com/mirage/ocaml-cstruct/releases .*cstruct-v?([0-9.]+)\.tbz

## ocaml-cstruct 6.0.1

=== debian/changelog ===
ocaml-cstruct (6.0.1-1build3) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 16:20:45 +0100

ocaml-cstruct (6.0.1-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 10:36:48 +0100

ocaml-cstruct (6.0.1-1build1) jammy; urgency=medium

  * No-change rebuild for current ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 02:18:36 +0000

ocaml-cstruct (6.0.1-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Bump Standards-Version to 4.6.0

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 09:38:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ocaml-cstruct
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
@@ -13,7 +14,7 @@
  libppxlib-ocaml-dev (>= 0.15.0),
  libounit-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/mirage/ocaml-cstruct

## ocaml-cstruct 6.1.1

=== debian/changelog ===
ocaml-cstruct (6.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Feb 2023 07:09:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: ocaml-cstruct
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  ocaml-nox,
  ocaml-dune (>= 2.7),
- libbigarray-compat-ocaml-dev,
  libsexplib-ocaml-dev,
  liblwt-ocaml-dev,
  libppxlib-ocaml-dev (>= 0.15.0),

=== debian/watch ===
version=4
https://github.com/mirage/ocaml-cstruct/releases .*cstruct-v?([0-9.]+)\.tbz

## ocaml-cstruct 6.2.0

=== debian/changelog ===
ocaml-cstruct (6.2.0-3build9) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 02:54:26 +0200

ocaml-cstruct (6.2.0-3build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:26:20 +0200

ocaml-cstruct (6.2.0-3build7) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 15:38:01 -0400

ocaml-cstruct (6.2.0-3build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:02:49 +0100

ocaml-cstruct (6.2.0-3build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 23:39:06 +0100

ocaml-cstruct (6.2.0-3build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:20:02 +0100

ocaml-cstruct (6.2.0-3build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:03:05 +0100

ocaml-cstruct (6.2.0-3build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 13:36:33 +0200

ocaml-cstruct (6.2.0-3build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:42:27 +0200

ocaml-cstruct (6.2.0-3) unstable; urgency=medium

  * Do no longer Build-Depend on libmigrate-parsetree-ocaml-dev

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 08:01:01 +0200

ocaml-cstruct (6.2.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:28:03 +0200

ocaml-cstruct (6.2.0-1) unstable; urgency=medium

  * Fix d/watch.
  * Fix compilation with recent dune
  * Bump standards-version to 4.6.2
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jul 2023 11:11:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,17 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune (>= 2.7),
  libsexplib-ocaml-dev,
  liblwt-ocaml-dev,
  libppxlib-ocaml-dev (>= 0.15.0),
- libounit-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.6.0
+ libounit-ocaml-dev <!nocheck>,
+ libalcotest-ocaml-dev <!nocheck>,
+ libppx-sexp-conv-ocaml-dev <!nocheck>,
+ cppo <!nocheck>,
+ dh-ocaml (>= 1.2.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/mirage/ocaml-cstruct
